CONDOR_TOKEN_LIST(1)

NAME
condor_token_list - HTCondor Manual

list all available tokens for IDTOKENS auth

SYNOPSIS

condor_token_list [-dir directory]

condor_token_list -help

DESCRIPTION

condor_token_list parses the tokens available to the current user and prints them to stdout.

The tokens are stored in files in the directory referenced by SEC_TOKEN_DIRECTORY; multiple tokens may be saved in each file (one per line).

The output format is a list of the deserialized contents of each token, along with the file name containing the token, one per line. It should not be considered machine readable and will be subject to change in future release of HTCondor.

OPTIONS

-help
    Display brief usage information and exit.

-dir
    Read tokens from an alternate directory.

EXAMPLES

To list all tokens as the current user:

$ condor_token_list
Header: {"alg":"HS256","kid":"POOL"} Payload: {"exp":1565576872,"iat":1565543872,"iss":"htcondor.cs.wisc.edu","scope":"condor:\/DAEMON","sub":"k8sworker@wisc.edu"} File: /home/bucky/.condor/tokens.d/token1
Header: {"alg":"HS256","kid":"POOL"} Payload: {"iat":1572414350,"iss":"htcondor.cs.wisc.edu","scope":"condor:\/WRITE","sub":"bucky@wisc.edu"} File: /home/bucky/.condor/tokens.d/token2

EXIT STATUS

condor_token_list will exit with a non-zero status value if it fails to read the token directory, tokens are improperly formatted, or if it experiences some other error. Otherwise, it will exit 0.

SEE ALSO

condor_token_create(1), condor_token_fetch(1), condor_token_request(1)

AUTHOR

Center for High Throughput Computing, University of Wisconsin-Madison

AUTHOR
HTCondor Team

COPYRIGHT
1990-2023, Center for High Throughput Computing, Computer Sciences Department, University of Wisconsin-Madison, Madison, WI, US. Licensed under the Apache License, Version 2.0.